@echo off
REM
REM Example lookup program, used for the "whois" query
REM
REM The query is defined as follows
REM
REM "?whois *"
REM "!./Sample.dos/whois.sh %q"
REM ">./Sample.dos/whois.out"
REM "!/bin/rm ./Sample.dos/whois.out"
REM
REM This means that this program is called with the original query as
REM argument. The output should be stored in .\Sample.dos\whois.out since
REM that is according to the query the file which is read after this
REM program ran. The last line is to cleanup.
REM
echo Query: %1 %2
REM
REM Well, we don't have a real database here so we just fake...
REM
REM whois.db is created with a unix script from frames retrieved at the
REM APRS QRG with Xastir
REM
REM (Uses egrep from the MKS Toolkit, a commercial unix command toolkit)
REM
egrep -i "^%2[^A-Z]" ./Sample.dos/whois.db > .\Sample.dos\whois.out
REM When match is found, leave the script
if errorlevel 1 goto notfound
goto leave
:notfound
echo %2 not   in APRS log > .\Sample.dos\whois.out
:leave
